/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2009 The LS-Universe Team

    Homepage: http://www.ls-universe.info

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#if !defined(AFX_WINDOWUTILITIES_H__A63FDC62_F87B_480A_863E_C8E9E4AE0AA0__INCLUDED_)
#define AFX_WINDOWUTILITIES_H__A63FDC62_F87B_480A_863E_C8E9E4AE0AA0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define STATE_UNKNOWN   1
#define STATE_NORMAL    2
#define STATE_SELECTED  4
#define STATE_MINIMIZED 8
#define STATE_FLASHING  16
    
int GetState(HWND hWindow);
bool IsActive(HWND hWindow);
void OnTopToggle(HWND hWindow);
void SetOnTop(HWND hWindow);
bool IsOnTop(HWND hWindow);
void SetNotOnTop(HWND hWindow);
void MinimizeWindow(HWND hWindow);
void MaximizeWindow(HWND hWindow);
void RestoreWindow(HWND hWindow);
void SelectWindow(HWND hWindow, bool restore = false);
void Close(HWND hWindow);

HWND GetRealWindow(HWND hWindow);
HWND GetOwnerWindow(HWND hWindow);

#endif // !defined(AFX_WINDOWUTILITIES_H__A63FDC62_F87B_480A_863E_C8E9E4AE0AA0__INCLUDED_)
